body {
    margin: 20px;
    height: 100%;
    line-height: 1;
    font-size: 14px;
    background-color: lightgray;
    font-family: Arial, "Helvetica Neue", Helvetica, sans-serif;
}

.form {
    max-width: 800px;
    margin: 0px auto;
    padding: 30px;
    background-color: rgb(209, 209, 209);
    color: #000;

}

div.form {
    background-color: rgb(209, 209, 209);
    color: black;
    position: relative;
}

.form * {
    outline: none;
}

.form_title {
    font-size: 40px;
    margin: 0px 0px 30px 0px;
}

.form_item {
    margin: 0px 0px 20px 0px;
}

.form_label {
    font-size: 18px;
    display: block;
    margin: 0px 0px 8px 0px;
}

.checkbox_label {
    font-size: 16px;
    line-height: 140%;
}

.checkbox_label a {
    color: midnightblue;
}

.form_button {
    width: 40%;
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 40px;
    background-color: #7a956b;
    color: #fff;
    font-size: 18px;
    font-weight: 500;
    cursor: pointer;
    border-radius: 10px;
}

.popup {
    opacity: 0;
    visibility: hidden;
    position: fixed;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.8);
    top: 0;
    left: 0;
    transition: all 0.3s ease 0s;
}

.popup_close {
    position: absolute;
    right: 10px;
    top: 10px;
    font-size: 20px;
    color: black;
    text-decoration: none;
}

/* .popup:target {
    opacity: 1;
    visibility: visible;
} */

.form_input._error {
    box-shadow: 0 0 15px red;
}

.popup_body {
    min-height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

div.open-button {
    max-width: 600px;
    margin: auto;
    background-color: lightgray;
    color: #000;
}

.open-button {
    width: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 40px;
    background-color: #7a956b;
    color: #fff;
    font-size: 18px;
    font-weight: 500;
    cursor: pointer;
    border-radius: 10px;
    outline: none;
}

@media screen and (max-width: 768px) {

    .form {
        max-width: 100%;
        margin: 0px auto;
        padding: 10px;
        background-color: rgb(209, 209, 209);
        color: #000;
    }

    div.form {
        background-color: rgb(209, 209, 209);
        color: black;
        width: 100%;
        height: 100vh;
    }

    .popup_body {
        background-color: rgb(209, 209, 209);
    }

    .open-button {
        margin-top: 30px;
        width: 100%;
        display: flex;
        justify-content: center;
        align-items: center;
        min-height: 100px;
        min-width: 150px;
        background-color: #7a956b;
        color: #fff;
        font-size: 28px;
        font-weight: 500;
        cursor: pointer;
        border-radius: 30px;
        outline: none;
    }

    .form * {
        outline: none;
    }
    
    .form_title {
        text-align: center;
        font-size: 30px;
        margin: 0px 0px 10px 0px ;
    }
    
    .form_item {
        margin: 0px 0px 10px 0px;
    }
    
    .form_label {
        font-size: 18px;
        display: block;
        margin: 0px 0px 10px 0px;
    }
    
    .form_input {
        height: 50px;
        border-radius: 5px;
        width: 100%;
        font-size: 25px;
    }

    textarea.form_input {
        resize: vertical;
        padding-top: 5px;
    }

    .checkbox_label {
        font-size: 16px;
        line-height: 140%;
    }
    
    .checkbox_label a {
        color: midnightblue;
    }

    .form_button {
        width: 100%;
        display: flex;
        justify-content: center;
        align-items: center;
        min-height: 60px;
        background-color: #7a956b;
        color: #fff;
        font-size: 18px;
        font-weight: 700;
        border-radius: 20px;
        text-transform: uppercase;
        letter-spacing: 2px;
    }
}
